@charset "utf-8";

/* ============================================================
   이용내역
   ============================================================ */

/* 업종 탭 */

.history-tab__btn {
    padding-right: 50px;
    background: none;
    border: none;
    color: var(--disapear);
    cursor: pointer;
    border-bottom: 2px solid transparent;
    margin-bottom: -1px;
    transition: all 0.2s;
}

.history-tab__btn.active {
    color: var(--primary);
    text-decoration: underline;
    text-underline-offset: 5px;
}

input[type="radio"] {
    accent-color: var(--primary);
}

/* 필터 */
.history-filter {
    border: 1px solid #CCCCCC;
    border-radius: 5px;
    padding: 16px 20px;
    margin-bottom: 20px;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.history-filter__row {
    display: flex;
    align-items: center;
    gap: 30px;
}

/* 검색 입력 */
.history-search-input {
    flex: 1;
    display: flex;
    align-items: center;
    border: 1px solid var(--primary);
    border-radius: 20px;
    overflow: hidden;
    padding: 0 10px;
}

.history-search-input input {
    flex: 1;
    border: none;
    outline: none;
    padding: 8px 4px;
}

.history-search-input button {
    background: none;
    border: none;
    cursor: pointer;
    padding: 4px;
    display: flex;
    align-items: center;
}

.history-search-input button img {
    width: 16px;
    height: 16px;
}

/* 기간 버튼 */
.history-period {
    display: flex;
    gap: 10px;
}

.history-period__btn {
    padding: 10px 30px;
    border: 1px solid #ccc;
    border-radius: 5px;
    background: white;
    color: #ccc;
    cursor: pointer;
    transition: all 0.2s;
}

.history-period__btn.active,
.history-period__btn:hover {
    background: var(--primary);
    border-color: var(--primary);
    color: white;
}

/* 날짜 */
.history-date {
    display: flex;
    align-items: center;
    gap: 10px;
    flex:1;
}

.history-date__input {
    width: 260px;
    padding: 7px 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    color: #ccc;
    outline: none;
}

.history-search-btn {
    padding: 7px 20px;
    background: var(--primary);
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    transition: opacity 0.2s;
    flex: 1;  /* 남은 공간 전부 차지 */
}

.history-search-btn:hover {
    opacity: 0.85;
}

/* 집계 */
.history-summary {
    background-color: #f5f5f5;
    color: #222222;
    padding: 20px 40px;
    border-radius: 5px;
    margin-bottom: 20px;
}

.history-summary strong {
    color: var(--aticle-title);
}

/* 내역구분 상태 */
.history-status {
    color: var(--primary);
}

.history-status--cancel {
    color: #999;
}

/* ===== 반응형 ===== */
@media screen and (max-width: 768px) {
    .history-filter__row {
        flex-wrap: wrap;
        gap: 8px;
    }

    .history-period {
        flex-wrap: wrap;
    }

    .history-date {
        flex-wrap: wrap;
    }

    .history-summary {
        flex-direction: column;
        gap: 6px;
    }
}
